<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Tables & Forms</title>
</head>
<body>
	<!-- Semantic tags for code readability -->
	<header>
		<h1>Zuitt IT Solutions</h1>
	</header>

	<main>
		<section> 
			<h2>Products Offered</h2>
			<!-- Defines HTML table -->
			<table border="1">
				<!-- Used to group table header contents -->
				<thead>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table header element -->
						<th>Package</th>
						<th>Price</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- Used to group table body contents -->
				<tbody>
					<tr>
						<!-- Defines a table data -->
						<td>Basic</td>
						<td>&#8369;500.00</td>
						<td>Package includes a fully functional website with desired specifications.</td>
					</tr>
					<tr>
						<td>Premium</td>
						<td>&#8369;1000.00</td>
						<td>Enjoy all the benefits of the basic package and also includes site support and maintenance.</td>
					</tr>
					<tr>
						<!-- "colspan" defines the amount of columns the table element will occupy -->
						<td colspan="3" align="center"><strong>Additional features after initial project is inclusive of charges</strong></td>
					</tr>
				</tbody>
			</table>
		</section>

		<section>
			<h2>Contact Form</h2>
			<!-- Creates an HTML form to capture user input -->
			<form>
				<!-- Creates a label and allows for input field selection when clicked -->
				<label for="first-name">First Name:</label>
				<br>
				<input type="text" name="first-name" id="first-name" required autocomplete>
				<br>

				<label for="last-name">Last Name:</label>
				<br>
				<input type="text" name="last-name" id="last-name" required autocomplete>
				<br>

				<label for="email">Email:</label>
				<br>
				<input type="email" name="email" id="email" required autocomplete>
				<br>

				<label for="contact-number">Contact Number:</label>
				<br>
				<input type="tel" name="contact-number" required autocomplete>
				<br>

				<!-- DROPDOWN MENU -->
				<label for="service-type">Service Type:</label>
				<br>
				<!-- Creates a dropdown menu -->
				<select name="service-type" id="service-type">
					<!-- Creates option/s for the dropdown -->
					<option value="front-end">Front End Programming</option>
					<option value="back-end">Back End Programming</option>
					<option value="full-stack">Full Stack Programming</option>
				</select>
				<br>

				<!-- CHECKBOXES -->
				<label for="preferred-contact">Preferred Contact:</label>
				<br>
				<!-- Creates checkboxes for multiple choices -->
				<input type="checkbox" name="contact-method" id="contact-method-1" value="Email">
				<label for="contact-method-1">Email</label>
				<br>

				<input type="checkbox" name="contact-method" id="contact-method-2" value="Phone-Package">
				<label for="contact-method-2">Phone Package:</label>
				<br>
				
				<!-- RADIO BUTTONS -->
				<!-- name attribute should be the same for related radio buttons -->
				<input type="radio" name="package-type" id="package-type-1" value="basic">
				<label for="package-type-1">Basic</label>
				<br>
				<input type="radio" name="package-type" id="package-type-2" value="premium">
				<label for="package-type-2">Premium</label>
				<br>
				<br>

				<!-- TEXT AREA -->
				<label for="message">Message</label>
				<br>

				<!-- Creates a larger text input -->
				<textarea name="message" rows="6" id="message"></textarea>
				<br>

				<!-- Creates a button that will submit the form data -->
				<button type="submit" name="send-inquiry" id="send-inquiry" value="send-inquiry">Send Inquiry</button>
				<br>

				<!-- Creates a buttom that will reset the form data -->
				<button type="reset" name="reset" id="reset" value="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>